> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update working time

> Creates or updates the user's working time schedule.

**Fields:**
- `dayOfWeek` — Day of the week (1 = Sunday, 7 = Saturday)
- `start` — Start time in HH:MM format (24-hour clock)
- `end` — End time in HH:MM format (24-hour clock)
- `breakTime` — Break duration in hours. Valid values: 0, 0.25, 0.5, 0.75, 1, 1.5, 2



## OpenAPI

````yaml /api-reference/openapi.json post /working-time
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /working-time:
    post:
      tags:
        - Working Time
      summary: Create or update working time
      description: >-
        Creates or updates the user's working time schedule.


        **Fields:**

        - `dayOfWeek` — Day of the week (1 = Sunday, 7 = Saturday)

        - `start` — Start time in HH:MM format (24-hour clock)

        - `end` — End time in HH:MM format (24-hour clock)

        - `breakTime` — Break duration in hours. Valid values: 0, 0.25, 0.5,
        0.75, 1, 1.5, 2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkingTimeInput'
            example:
              userId: 11111
              companyId: 11111
              workingTimes:
                - dayOfWeek: '1'
                  start: '09:00'
                  end: '18:00'
                  breakTime: '0'
                - dayOfWeek: '2'
                  start: '09:00'
                  end: '18:00'
                  breakTime: '1'
      responses:
        '200':
          description: Working time saved successfully
components:
  schemas:
    WorkingTimeInput:
      type: object
      required:
        - userId
        - companyId
        - workingTimes
      properties:
        userId:
          type: integer
          description: User ID
        companyId:
          type: integer
          description: Company ID
        workingTimes:
          type: array
          items:
            type: object
            properties:
              dayOfWeek:
                type: string
                description: Day of the week (1=Sunday, 7=Saturday)
              start:
                type: string
                description: Start time in HH:MM format (24-hour clock)
              end:
                type: string
                description: End time in HH:MM format (24-hour clock)
              breakTime:
                type: string
                description: Break duration in hours (0, 0.25, 0.5, 0.75, 1, 1.5, 2)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````